PCLRendererConfig.PCLRendererConfigParser (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.pcl

## Class PCLRendererConfig.PCLRendererConfigParser

- java.lang.Object
- - org.apache.fop.render.pcl.PCLRendererConfig.PCLRendererConfigParser

- All Implemented Interfaces:
    RendererConfig.RendererConfigParser
  Enclosing class:
    PCLRendererConfig

      public static final class PCLRendererConfig.PCLRendererConfigParser
      extends java.lang.Object
      implements RendererConfig.RendererConfigParser

  The PCL renderer configuration data parser.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLRendererConfigParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PCLRendererConfig` | `build(FOUserAgent userAgent, Configuration cfg)` Builds the object that contains the renderer configuration data.
    `java.lang.String` | `getMimeType()` The MIME type of the renderer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLRendererConfigParser

          public PCLRendererConfigParser()

  - ### Method Detail

    - #### build

          public PCLRendererConfig build(FOUserAgent userAgent,
                                         Configuration cfg)
                                  throws FOPException

      Builds the object that contains the renderer configuration data.
      Specified by:
        `build` in interface `RendererConfig.RendererConfigParser`
      Parameters:
        `userAgent` - the user agent
        `cfg` - the Avalon config object for parsing the data
      Returns:
        the configuration data object
      Throws:
        `FOPException` - if an error occurs while parsing the fop conf

    - #### getMimeType

          public java.lang.String getMimeType()

      The MIME type of the renderer.
      Specified by:
        `getMimeType` in interface `RendererConfig.RendererConfigParser`
      Returns:
        the mime type

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.